# Daily Attendance

## Save Employee Attendance:- LOGIC API PUSH - SAVE EMPLOYEE ATTENDANCE <a href="#heading" id="heading"></a>

This API is used to Save the Attendance and leave Record of the Employees

### **Authorization Detail**

| Name          | Detail                                             |
| ------------- | -------------------------------------------------- |
| End Point     | <http://demo.logicerp.com/api/SaveDailyAttendance> |
| Request Type  | POST                                               |
| Authorization | Basic Auth                                         |
| Username      | Demo                                               |
| Password      | 1                                                  |

### **Request**

```

 {
  "Branch_Code": 0,
  "BranchShortName": null,
  "ListEmployees": [
      {
          "EmployeeUserCode": "LT004",
          "DateIn": "27/05/2024",
          "DateOut": "27/05/2024",
          "TimeIn": "09:00 AM",
          "TimeOut": "07:00 PM",
          "MarkLeave": false
      },
      {
          "EmployeeUserCode": "LS233",
          "DateIn": "27/05/2024",
          "DateOut": "27/05/2024",
          "TimeIn": "10:00 AM",
          "TimeOut": "3:10 PM",
          "MarkLeave": false
      },
      {
          "EmployeeUserCode": "LP194",
          "DateIn": null,
          "DateOut": null,
          "TimeIn": null,
          "TimeOut": null,
          "MarkLeave": true
      },
      {
          "EmployeeUserCode": "LM452",
          "DateIn": null,
          "DateOut": null,
          "TimeIn": null,
          "TimeOut": null,
          "MarkLeave": true
      }
  ]
}

```

### **Request Detail**

| Name             | Type       | Length | Mandatory |
| ---------------- | ---------- | ------ | --------- |
| EmployeeUserCode | num        | -      | yes       |
| DateIn           | date/time  | -      | -         |
| DateOut          | date/time  | -      | -         |
| TimeIn           | date/time  | -      | -         |
| TimeOut          | date/time  | -      | -         |
| MarkLeave        | true/false | -      | yes       |

### **Response**

```
 
{
    "LastSavedCode": "",
    "Status": true,
    "Message": "E-2",
    "ErrorCode": ""   
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://kb.logicerp.com/logic-erp-learning-hub-tutorials-and-best-practices/api-documentation/payroll/push/daily-attendance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
